Bug 986160 - eclipse-platform: Move directory ownership to a different subpackage
eclipse-platform: Move directory ownership to a different subpackage
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 985674
  Show dependency treegraph
 
Reported: 2013-07-19 01:50 EDT by Mikolaj Izdebski
Modified: 2014-01-12 19:28 EST (History)
8 users (show)

See Also:
Fixed In Version: eclipse-4.3.0-4.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 19:01:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2013-07-19 01:50:57 EDT
Description of problem:
Currently eclipse-platform owns /usr/share/eclipse/dropins directory.  This means that any package installing files under this directory needs to require eclipse-platform.

IMO this is really bad thing.  I am packaging some Eclipse plugins which can be used outside of Eclipse and they shouldn't pull in the whole platform just for directory ownership.

I would suggest either creating a lightweight subpackage of eclipse (like eclipse-filesystem) without any requires, which would just own these directories, or moving ownership to filesystem package.

Version-Release number of selected component (if applicable):
4.3.0-4

Additional info:
Aether and Sisu are both Eclipse plugins, but also dependencies of Maven.  If they require Eclipse Platform then Maven will require it too, which would be a really bad thing.

/usr/share/eclipse is not owned by any package.  It should probably be owned by eclipse-filesystem too.
Comment 1 Alexander Kurtakov 2013-07-19 02:05:26 EDT
If it's a plugin it needs the platform. If it's installed in /usr/[lib|lib64|share]/eclipse it must be plugin. 
I'm not willing to see non-eclipse things in these directories as they are crawled on startup of eclipse so this slows down startup. 
The right approach is for sisu/aether/etc. to be installed in _javadir as regular jars and if needed a subpackage symlinking them eclipse specific dirs like done in findbugs-contrib. 
Also are Aether and Sisu eclipse plugins or OSGi bundles? I think it's the later and OSGi bundles are not put in eclipse dirs unless needed by plugin (all the apache-commons* ane others).
Comment 2 Krzysztof Daniel 2013-07-23 08:01:20 EDT
I agree with Alex here:
dropins is scanned on startup by Eclipse, and only Eclipse plugins should get there.

A situation where installing maven or maven deps changes Eclipse installation is undesired.

Jars that need to be available both as plain jars and OSGi apps may apply following strategy:
* jars go into /usr/share/java and are symlinked as needed into dropins and/or /usr/lib64/eclipse/plugins by *other* (sub)packages 

examples

 eclipse-emf-core
* goes into /usr/share/java
* symlinked by Eclipse platform into /usr/lib64/eclipse/plugins

 jacoco
* located in /usr/share/java/jacoco
* symlinked by eclipse-eclemma into /usr/share/eclipse/dropins/eclemma/eclipse/plugins/

If you have exactly the same jar that needs to be available as an Eclipse bundle and a plain jar, I'd recommend creating a subpackage (*-plugin) with a symlink.


I'll add the owhership to /usr/share/eclipse
Comment 3 Mikolaj Izdebski 2013-07-23 08:04:45 EDT
OK, I understand that now.
Thanks.
Comment 4 Fedora Update System 2013-07-23 09:58:36 EDT
eclipse-4.3.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/eclipse-4.3.0-3.fc19
Comment 5 Fedora Update System 2013-07-23 23:37:18 EDT
Package eclipse-4.3.0-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing eclipse-4.3.0-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13494/eclipse-4.3.0-3.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-07-29 15:28:32 EDT
eclipse-4.3.0-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/eclipse-4.3.0-4.fc19
Comment 7 Fedora Update System 2013-08-07 19:01:00 EDT
eclipse-4.3.0-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.